| Home | Libraries | People | FAQ | More

##### segments_base::front

Return the first segment.

###### Synopsis

    std::string
    front() const;

###### Description

This function returns a string with the first segment of the path without any leading or trailing '/' separators. Any percent-escapes in the string are decoded first.

###### Preconditions

    this->empty() == false

###### Effects

    return *begin();

###### Example

    assert( url_view( "/path/to/file.txt" ).segments().front() == "path" );

###### Complexity

Linear in `this->front().size()`.

###### Exception Safety

Calls to allocate may throw.